Package com.emc.d2fs.service.relation

# Class RelationTypeConfig

java.lang.Object
com.emc.d2fs.service.relation.RelationTypeConfig

public class RelationTypeConfig extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelationTypeConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChildType()`
  `int`
  `getDirectionKind()`
  `Boolean`
  `getIsMultipleRelation()`
  `String`
  `getParentChildLabel()`
  `String`
  `getParentType()`
  `String`
  `getPropertyPage()`
  `String`
  `getRelationName()`
  `String`
  `getTypeName()`
  `void`
  `setChildType(String childType)`
  `void`
  `setDirectionKind(int directionKind)`
  `void`
  `setIsMultipleRelation(Boolean isMultipleRelation)`
  `void`
  `setParentChildLabel(String parentChildLabel)`
  `void`
  `setParentType(String parentType)`
  `void`
  `setPropertyPage(String propertyPage)`
  `void`
  `setRelationName(String relationName)`
  `void`
  `setTypeName(String typeName)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RelationTypeConfig

    public RelationTypeConfig()

- ## Method Details

  - ### getRelationName

    public String getRelationName()

  - ### getParentChildLabel

    public String getParentChildLabel()

  - ### getIsMultipleRelation

    public Boolean getIsMultipleRelation()

  - ### setRelationName

    public void setRelationName(String relationName)

  - ### setParentChildLabel

    public void setParentChildLabel(String parentChildLabel)

  - ### setIsMultipleRelation

    public void setIsMultipleRelation(Boolean isMultipleRelation)

  - ### getParentType

    public String getParentType()

  - ### setParentType

    public void setParentType(String parentType)

  - ### getChildType

    public String getChildType()

  - ### setChildType

    public void setChildType(String childType)

  - ### getDirectionKind

    public int getDirectionKind()

  - ### setDirectionKind

    public void setDirectionKind(int directionKind)

  - ### getPropertyPage

    public String getPropertyPage()

  - ### setPropertyPage

    public void setPropertyPage(String propertyPage)

  - ### getTypeName

    public String getTypeName()

  - ### setTypeName

    public void setTypeName(String typeName)